certmonger(1)

NAME
getcert

SYNOPSIS
getcert refresh [options]

DESCRIPTION
Forces certmonger to immediately check on the status of an enrollment request for which it was either unable to contact a CA or for which it is waiting for the CA.

SPECIFYING REQUESTS BY NICKNAME

-i NAME
    Check on the status of the signing request which has this nickname. If this option is not specified, and a tracking entry which matches the certificate storage options which are specified already exists, that entry will be used. If not specified, the location of the certificate should be specified with either a combination of the -d and -n options, or with the -f option.

SPECIFYING REQUESTS BY CERTIFICATE LOCATION

-d DIR
    The certificate is in the NSS database in the specified directory.

-n NAME
    The certificate in the NSS database named with -d has the specified nickname. Only valid with -d.

-t TOKEN
    If the NSS database has more than one token available, the certificate is stored in this token. This argument only rarely needs to be specified. Only valid with -d.

-f FILE
    The certificate is stored in the named file.

OPTIONS

-a  Refresh information about all requests for which the service will need to attempt to contact the CA again.

BUGS
Please file tickets for any that you find at https://fedorahosted.org/certmonger/

SEE ALSO
certmonger(8) getcert(1) getcert-add-ca(1) getcert-add-scep-ca(1) getcert-list-cas(1) getcert-list(1) getcert-modify-ca(1) getcert-refresh-ca(1) getcert-rekey(1) getcert-remove-ca(1) getcert-request(1) getcert-resubmit(1) getcert-start-tracking(1) getcert-status(1) getcert-stop-tracking(1) certmonger-certmaster-submit(8) certmonger-dogtag-ipa-renew-agent-submit(8) certmonger-dogtag-submit(8) certmonger-ipa-submit(8) certmonger-local-submit(8) certmonger-scep-submit(8) certmonger_selinux(8)